package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 安全准入资格材料对象 lab_security_material
 *
 * @author zd
 * @date 2021-09-10
 */
@ApiModel("安全准入资格材料")
public class LabSecurityMaterial extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 材料名称
     */
    @Excel(name = "材料名称")
    @ApiModelProperty(value = "材料名称")
    private String materialName;
    /**
     * 配置表关联id
     */
    @Excel(name = "配置表关联id")
    @ApiModelProperty(value = "配置表关联id")
    private Long configureId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setConfigureId(Long configureId) {
        this.configureId = configureId;
    }

    public Long getConfigureId() {
        return configureId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("materialName", getMaterialName())
                .append("configureId", getConfigureId())
                .append("remark", getRemark())
                .toString();
    }
}
